Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 02-10-2014 23:56:40

Kaeles
Membre
Inscription : 02-10-2014

Problèmes Brackets

Bonjour tout le monde !

J'ai un soucis avec l'éditeur web (HTML/CSS/JS/PHP...) Brackets. Voir ici pour ceux qui ne connaisse pas. Pour vous le présenter rapidement il est vraiment cool. Sa force majeur ? Une édition en direct sur votre site local. Vraiment utile pour le développement. Bref, mon problème est le suivant : Je ne parviens pas à le lancer !

/usr/bin/brackets: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.14' not found (required by /usr/bin/brackets)
/usr/bin/brackets: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.14' not found (required by /opt/brackets/lib/libcef.so)
/usr/bin/brackets: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.15' not found (required by /opt/brackets/lib/libcef.so)



Je commence à chercher. En attendant merci par avance pour vos interventions.

Dernière modification par Kaeles (03-10-2014 00:28:23)

Hors ligne

#2 03-10-2014 00:33:18

Lunatic
Membre
Lieu : Lyon
Distrib. : Fedora 24
Noyau : Linux 4.6.5-300.fc24.x86_64
(G)UI : Gnome
Inscription : 03-08-2013
Site Web

Re : Problèmes Brackets

Salut,

Tu es sans doute sous Debian Stable ?

C'est la version de libc6 qui pose problème : il t'en faut une plus récente.
Le truc, c'est qu'il va t'être difficile de l'upgrader en restant en stable…

Je suis aussi sur Twitter et nouvellement sur Diaspora*
Mon blog de geekeries : HAL-9000

(J'applique la règle de proximité)

Hors ligne

#3 03-10-2014 01:10:00

Kaeles
Membre
Inscription : 02-10-2014

Re : Problèmes Brackets

Salut Lunatic,

Ouaip, Debian 7.

Je tente l'aventure en installant les libc. Si c'est trop instable je verrai quel Debian "stable" supporte ces libc nativement (ou presque) ^^

EDIT: Voilà, j'ai forcé le lancement de Brackets en passant libc6 à la version 2.19-11.

# dpkg -i --auto-deconfigure libc6_2.18-4_i386.deb



Il est bien entenu que des problèmes d'instabilités seront rencontrés. Je mettrai à jour ce topic pour vous décrire ces bugs.

Sinon autre possibilité, mais là je n'y comprends rien. Il faut utiliser le sprint 34 qui peut fonctionner avec la libc6 par défaut de Debian 7. Tout est dit sur ce forum. Si quelqu'un parviens à lancer Brackets avec ce sprint je veux bien savoir comment big_smile

Dernière modification par Kaeles (03-10-2014 01:42:22)

Hors ligne

#4 03-10-2014 08:22:31

Lunatic
Membre
Lieu : Lyon
Distrib. : Fedora 24
Noyau : Linux 4.6.5-300.fc24.x86_64
(G)UI : Gnome
Inscription : 03-08-2013
Site Web

Re : Problèmes Brackets

Si tu ne veux pas prendre le risque de casser ta stable, tu peux installer Brackets dans un chroot de Debian Sid par exemple.

Quelques liens d'explication : le wiki ; une page du site perso de captnfab ; pour ma part je viens de mettre en ligne mon mémo sur schroot, qui simplifie un peu les choses.

Je suis aussi sur Twitter et nouvellement sur Diaspora*
Mon blog de geekeries : HAL-9000

(J'applique la règle de proximité)

Hors ligne

#5 03-10-2014 12:15:37

Kaeles
Membre
Inscription : 02-10-2014

Re : Problèmes Brackets

Salut Lunatic !

Cool cette pratique, j'adhère !

Par contre j'ai du mal à voir comment me connecter au chroot, y installer un paquet, revenir sur la distri principale puis lancer le paquet du chroot.

Hors ligne

Pied de page des forums